# DWT dwt-samples/jface directory

[*]
debugflags+=-g -gc
buildflags+=-J../res
buildflags+=-I../../dwt-addons
buildflags+=-J../../dwt-addons/res

version(Windows) {
    buildflags+=-I../../dwt-win
    buildflags+=-J../../dwt-win/res

    # if no console window is wanted/needed use -version=gui
    version(gui) {
        buildflags+= -L/SUBSYSTEM:windows:5
    } else {
        buildflags+= -L/SUBSYSTEM:console:5
    }
    buildflags+= -L/rc:..\dwt
}
version(Posix) {
    buildflags+=-I../../dwt-linux
    buildflags+=-J../../dwt-linux/res
}

#[sqleditor/jfacetext/sqleditor/SQLEditor.d]
#[test2.d]
[FileTreeViewer.d]
[Librarian.d]
[ActionAndStatusbar.d]
[ShowFieldPrefs.d]
[ShowPrefs.d]
#[SWTCompletionEditor.d]
[user/Decoration.d]
[user/PopUp.d]
[snippets/viewers/Snippet001TableViewer.d]
[snippets/viewers/Snippet002TreeViewer.d]
[snippets/viewers/Snippet004HideSelection.d]
[snippets/viewers/Snippet005TreeCustomMenu.d]
[snippets/viewers/Snippet006TableMultiLineCells.d]
[snippets/viewers/Snippet007FullSelection.d]
[snippets/viewers/Snippet010OwnerDraw.d]
[snippets/viewers/Snippet011CustomTooltips.d]
[snippets/viewers/Snippet014TreeViewerNoMandatoryLabelProvider.d]
[snippets/viewers/Snippet016TableLayout.d]
[snippets/viewers/Snippet019TableViewerAddRemoveColumnsWithEditingNewAPI.d]
[snippets/viewers/Snippet026TreeViewerTabEditing.d]
[snippets/viewers/Snippet031TableViewerCustomTooltipsMultiSelection.d]
[snippets/viewers/Snippet040TableViewerSorting.d]
[snippets/viewers/Snippet043NoColumnTreeViewerKeyboardEditing.d]
[snippets/viewers/Snippet047VirtualLazyTreeViewer.d]
[snippets/viewers/Snippet054NativeControlsInViewers.d]
[snippets/window/Snippet020CustomizedControlTooltips.d]
[snippets/window/Snippet023TreeViewerCustomTooltips.d]
[snippets/window/Snippet031TableStaticTooltip.d]
[snippets/wizard/Snippet047WizardWithLongRunningOperation.d]


